
const OracleService = require('../service/OracleService')

class acmUpdVendaModel {
    constructor() {
        this.GET_ACMUPDVENDA = `
            UPDATE VENDA
               SET IDXMLSATTRANS = 'T'
             WHERE CDFILIAL= :CDFILIAL
               AND CDCAIXA = :CDCAIXA
               AND DTENTRVENDA BETWEEN :DTINI AND :DTFIN
               AND IDTPEMISVEND  = 'S'
               AND IDXMLSATTRANS = 'P'
               AND IDSTATUSNFCE IN ('A','C')
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMUPDVENDA, params);
        })
    }
}  

module.exports = new acmUpdVendaModel();