
const OracleService = require('../service/OracleService')

class adqSrvIMPOSTOREDZModel {
    constructor() {
        this.GET_ADQSRVIMPOSTOREDZ = `
            SELECT
            	*
            FROM
            	IMPOSTOREDZ
            WHERE  CDFILIAL    = ' '
               AND CDCAIXA     = ' '
               AND NRECFREDZ   = ' '
               AND DTREDUCAOZ  = NULL
               AND CDIMPOSTO   = ' '
               AND VRALIQIMPRZ = NULL
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQSRVIMPOSTOREDZ, params);
        })
    }
}  

module.exports = new adqSrvIMPOSTOREDZModel();