const UpDataService = require('../service/UpDataService');

class ExpController {
  constructor() {}

  async insertData(req, res) {
    try {
      let data = req.body;
      let insercao = await UpDataService.setInsereServidor(
        data.CDFILIAL,
        data.CDCAIXA,
        data.CDLOJA,
        data.payload,
      );
      res.send({ error: false, message: 'Não houve falhas' });
    } catch (error) {
      res.send({ error: true, message: error });
    }
  }

  async getVerificaExportacao(req, res) {
    let data = req.body;
    let verificacao = await UpDataService.getVerificaExportacao(data.payload);
    res.send(verificacao);
  }

  async getMinDtUltAtuExt(req, res) {
    let params = req.body;
    let MinDtUltAtu = await UpDataService.getMinDtUltAtuExt(params['P_DTULTATUEXT']);
    res.send(MinDtUltAtu);
  }

  async getMaxDtUltAtuMCli(req, res) {
    let params = req.body;
    let MaxDtUltAtuMCli = await UpDataService.getMaxDtUltAtuMCli(params['P_DTULTATUMCLI']);
    res.send(MaxDtUltAtuMCli);
  }
}

module.exports = new ExpController();
