const { connection } = require('../service/OracleService');
const OracleService = require('../service/OracleService');

class acmUpdMovBeneficioCtrModel {
  constructor() {
    this.GET_ACMUPDMOVBENEFICIOCTR = `
            UPDATE
               MOVBENEFICIOCTR
            SET
               QTDEBENEFICIO = QTDEBENEFICIO - 1,
               IDIMPTMOVCTR  = 'N'
            WHERE
               CDCLIENTE= :P_CDCLIENTEAND
               CDCONSUMIDOR   = :P_CDCONSUMIDOR   AND
               CDCAMPANHA     = :P_CDCAMPANHA     AND
               NRSEQPRODCAMP  = :P_NRSEQPRODCAMP  AND
               NRSEQBENEFICIO = :P_NRSEQBENEFICIO
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ACMUPDMOVBENEFICIOCTR, params, [], false, connection);
    });
  }
}

module.exports = new acmUpdMovBeneficioCtrModel();
