
const OracleService = require('../service/OracleService')

class adqSrvLogSincDlvModel {
    constructor() {
        this.GET_ADQSRVLOGSINCDLV = `
            SELECT * FROM LOGSINCDLV
            WHERE CDFILIAL  = ' '
              AND CDLOJA    = ' '
              AND NRVENDARESTAUX  = ' '
              AND DTHRABERMESA  = NULL
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQSRVLOGSINCDLV, params);
        })
    }
}  

module.exports = new adqSrvLogSincDlvModel();