const OracleService = require('../service/OracleService');

class adqVerifMovBeneficioCtrModel {
  constructor() {
    this.GET_ADQVERIFMOVBENEFICIOCTR = `
            SELECT *
              FROM MOVBENEFICIOCTR
             WHERE CDCLIENTE      = :P_CDCLIENTE
               AND CDCONSUMIDOR   = :P_CDCONSUMIDOR
               AND CDCAMPANHA     = :P_CDCAMPANHA
               AND NRSEQPRODCAMP  = :P_NRSEQPRODCAMP
               AND NRSEQBENEFICIO = :P_NRSEQBENEFICIO
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFMOVBENEFICIOCTR, params);
    });
  }
}

module.exports = new adqVerifMovBeneficioCtrModel();
