const OracleService = require('../service/OracleService');

class adqVerifVendaModel {
  constructor() {
    this.GET_ADQVERIFVENDA = `
            SELECT CDFILIAL, CDCAIXA, NRSEQVENDA, DTABERTUR,
               IDSITUVENDA, NRENTREGAPEDVND, DSOBSCANCUP, CDGRPOCORCANCUP,
               CDSUPERVISOR, IDSTATUSNFCE, DSOBSSTATUSNFCE, 
             DSQRCODENFCE, NRACESSONFCE, NRNOTAFISCALCE, CDSERIESAT,
             IDTPAMBNFCE, NRLANCTONFCE, NRACESSOCANC, IDXMLSATTRANS,
             DTEMISSAONFCE, DSARQXMLNFCE, DTEXPVENDA, CDCLIENTE,
               DTENTRVENDA, NRPROTOCOLOCANC, CDVENDEDOR, DSARQXMLCANCNFCE,
             DSURLFOTOVEN, IDCHECKEDVEN
              FROM VENDA
             WHERE CDFILIAL = :P_CDFILIAL
               AND CDCAIXA  = :P_CDCAIXA
               AND DTABERTUR= TIMESTAMP :P_DTABERTUR
               AND NRSEQVENDAMSDE = :P_NRSEQVENDA
        `;
  }
  execute(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.fetch(this.GET_ADQVERIFVENDA, params);
    });
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.fetch(this.GET_ADQVERIFVENDA, params);
    });
  }
}

module.exports = new adqVerifVendaModel();
